# For complete documentation of this file, please see Geany's main documentation
# About this lexer file: https://vanderworp.org/notes/cad-lisp-support-for-geany/
[styling]
[styling]
keyword=0x0000ff;0xffffff;true;false
keywords=0x008000;0xffffff;true;false
special_keywords=0xff00ff;0xffffff;true;false
# Edit these in the colorscheme .conf file instead
default=default
comment=comment_line
multicomment=comment
number=number_1
keyword=keyword_1
keywordkw=keyword_2
symbol=keyword_1
string=string_1
stringeol=string_eol
identifier=identifier_1
operator=operator
special=function
[styling=Lisp]

[keywords]
# all items must be in one line
# see https://vanderworp.org/books/coordinate-mathematics-for-cad/ for part @@@LibVector
keywords=@@@LibVector ** pim2 fr2d fd2r nx ny nz pid2 pid3 pid4 pid6 pid12 *lib-vector-loaded* lib-vector-loaded v:- v:. v:x v:* v:/ v:+ v:<90p v:ang v:ang2d v:ang3p v:arop v:avg v:bisect v:d2r v:dist v:flip v:intp v:len v:loc v:lst+p v:r2d v:realp v:rot v:rot-q v:rot90 v:rot180 v:rot270 v:rotpt v:sum v:unit v:vec @@@END
special_keywords=defun defun-q c: acos atanh cosh get_diskserialid grarc init_dialog lisp$install log10 position random remove sinh string-split tanh vl-enable-user-cancel vl-getgeomextents vl-hidepromptmenu vl-layerstates-delete vl-layerstates-list vl-layerstates-setpropertymask vl-layerstates-setdescription vl-layerstates-restore vl-list-loaded-lisp vl-setcurrentdir dictobjname asin ceiling floor getpid grfill lisp$enablefastcom lisp$version mod power redraw_dialog round sleep tan until vl-getcurrentdir vl-getstartupdir vl-showpromptmenu vl-layerstates-has vl-layerstates-getpropertymask vl-layerstates-getdescription vl-layerstates-rename vl-layerstates-save vl-rmdir vl-string-split vlisp-optimizer - * *error* *error* *pop-error-mode* *push-error-using-command* *push-error-using-stack* / /= + = ~ 1- 1+ abs acad_colordlg acad_helpdlg acad_pop_dbmod acad_push_dbmod acad_strlsort acad_truecolorcli acad_truecolordlg acdimenableupdate acet_layerp_mark acet_layerp_mode acet_laytrans acet_ms_to_ps acet_ps_to_ms action_tile add_list alert alloc and angle angtof angtos append apply arx arxload arxunload ascii assoc atan atof atoi atom atoms_family autoarxload autoload boole boundp caddr cadr car cdr chr client_data_tile close command command-s cond cons cos cvunit defun defun_q defun_q_list_ref defun_q_list_set dictadd dictnext dictremove dictrename dictsearch dimx_tile dimy_tile distance distof done_dialog dumpallproperties end_image end_list entdel entget entlast entmake entmakex entmod entnext entsel entupd eq equal eval exit exp expand expt fill_image findfile findtrustedfile fix float foreach function gc gcd get_attr get_tile getangle getcfg getcname getcorner getdist getenv getfiled getint getkword getorient getpoint getpropertyvalue getreal getstring getvar graphscr grclear grdraw grread grtext grvecs handent help if initcommandversion initdia initget inters ispropertyreadonly itoa lambda last layerstate-addlayers layerstate-compare layerstate-delete layerstate-export layerstate-getlastrestored layerstate-getlayers layerstate-getnames layerstate-has layerstate-import layerstate-importfromdb layerstate-removelayers layerstate-rename layerstate-restore layerstate-save layoutlist length list listp load_dialog load log logand logior lsh mapcar max mem member menucmd menugroup min minusp mode_tile namedobjdict nentsel nentselp new_dialog not nth null numberp open or osnap polar prin1 princ print progn prompt quit quote read_char read_line read redraw regapp rem repeat reverse rtos set set_tile setcfg setenv setfunhelp setpropertyvalue setq setvar setview showhtmlmodalwindow sin slide_image snvalid sqrt ssadd ssdel ssget ssgetfirst sslength ssmemb ssname ssnamex sssetfirst start_dialog start_image start_list startapp strcase strcat strlen subst substr tablet tblnext tblobjname tblsearch term_dialog terpri textbox textpage textscr trace trans type unload_dialog untrace vector_image ver vports wcmatch while write_char write_line xdroom xdsize zerop *last-value* int real str ename pickset file sym subr exrxsubr vla-object variant safearray vlax-vbEmpty vlax-vbNull vlax-vbInteger vlax-vbLong vlax-vbInt64 vlax-vbSingle vlax-vbDouble vlax-vbString vlax-vbObject vlax-vbBoolean vlax-vbArray vlax-vbVariant vlax-vbDate vlax-vbCurrency vlax-vbDecimal vlax-vbOle_color vlax-vbabort vlax-vbabortretryignore vlax-vbapplicationmodal vlax-vbcancel vlax-vbcritical vlax-vbdataobject vlax-vbdefaultbutton1 vlax-vbdefaultbutton2 vlax-vbdefaultbutton3 vlax-vbdirectory vlax-vberror vlax-vbexclamation vlax-vbhidden vlax-vbhiragana vlax-vbignore vlax-vbinformation vlax-vbkatakana vlax-vblowercase vlax-vbnarrow vlax-vbno vlax-vbnormal vlax-vbok vlax-vbokcancel vlax-vbokonly vlax-vbpropercase vlax-vbquestion vlax-vbreadonly vlax-vbretry vlax-vbretrycancel vlax-vbsystem vlax-vbsystemmodal vlax-vbuppercase vlax-vbvolume vlax-vbwide vlax-vbyes vlax-vbyesno vlax-vbyesnocancel vlax-vbarchive t nil pi :vlax-true :vlax-false :vlax-vbEmpty :vlax-vbNull acFalse acTrue acOff acOn ac3dFace ac3dPolyline ac3dSolid acArc acAttribute acAttributeReference acBlockReference acCircle acDimAligned acDimAngular acDimDiametric acDimOrdinate acDimRadial acDimRotated acEllipse acHatch acLeader acLine acMtext acPoint acPolyline acPolylineLight acPolymesh acRaster acRay acRegion acShape acSolid acSpline acText acTolerance acTrace acPViewport acXline acGroup acMInsertBlock acPolyfaceMesh acMLine acDim3PointAngular acExternalReference acTable acDimArcLength acDimRadialLarge acDwfUnderlay acDgnUnderlay acMLeader acPaperSpace acModelSpace acPreferenceClassic acPreferenceCustom acPlotOrientationPortrait acPlotOrientationLandscape acByBlock acRed acYellow acGreen acCyan acBlue acMagenta acWhite acByLayer acAttachmentPointTopLeft acAttachmentPointTopCenter acAttachmentPointTopRight acAttachmentPointMiddleLeft acAttachmentPointMiddleCenter acAttachmentPointMiddleRight acAttachmentPointBottomLeft acAttachmentPointBottomCenter acAttachmentPointBottomRight acLeftToRight acRightToLeft acTopToBottom acBottomToTop acByStyle acLineNoArrow acSplineNoArrow acLineWithArrow acSplineWithArrow acAttributeModeNormal acAttributeModeInvisible acAttributeModeConstant acAttributeModeVerify acAttributeModePreset acAttributeModeLockPosition acAttributeModeMultipleLine acHorizontalAlignmentLeft acHorizontalAlignmentCenter acHorizontalAlignmentRight acHorizontalAlignmentAligned acHorizontalAlignmentMiddle acHorizontalAlignmentFit acVerticalAlignmentBaseline acVerticalAlignmentBottom acVerticalAlignmentMiddle acVerticalAlignmentTop acTextFlagBackward acTextFlagUpsideDown acSelectionSetWindow acSelectionSetCrossing acSelectionSetFence acSelectionSetPrevious acSelectionSetLast acSelectionSetAll acSelectionSetWindowPolygon acSelectionSetCrossingPolygon acHatchPatternTypeUserDefined acHatchPatternTypePreDefined acHatchPatternTypeCustomDefined acHatchLoopTypeDefault acHatchLoopTypeExternal acHatchLoopTypePolyline acHatchLoopTypeDerived acHatchLoopTypeTextbox acHatchStyleNormal acHatchStyleOuter acHatchStyleIgnore acSimplePoly acFitCurvePoly acQuadSplinePoly acCubicSplinePoly acSimple3DPoly acQuadSpline3DPoly acCubicSpline3DPoly acViewport2Horizontal acViewport2Vertical acViewport3Left acViewport3Right acViewport3Horizontal acViewport3Vertical acViewport3Above acViewport3Below acViewport4 acActiveViewport acAllViewports acUnion acIntersection acSubtraction acExtendNone acExtendThisEntity acExtendOtherEntity acExtendBoth acDegrees acDegreeMinuteSeconds acGrads acRadians acDefaultUnits acScientific acDecimal acEngineering acArchitectural acFractional acWorld acUCS acDisplayDCS acPaperSpaceDCS acOCS acEnglish acMetric acDemandLoadDisabled acDemandLoadEnabled acDemandLoadEnabledWithCopy acPartialPreview acFullPreview acSimpleMesh acQuadSurfaceMesh acCubicSurfaceMesh acBezierSurfaceMesh acZoomScaledAbsolute acZoomScaledRelative acZoomScaledRelativePSpace acDragDoNotDisplay acDragDisplayOnRequest acDragDisplayAutomatically acDemanLoadDisable acDemandLoadOnObjectDetect acDemandLoadCmdInvoke acFontRegular acFontItalic acFontBold acFontBoldItalic acProxyNotShow acProxyShow acProxyBoundingBox acKeyboardRunningObjSnap acKeyboardEntry acKeyboardEntryExceptScripts acBaseMenuGroup acPartialMenuGroup acMenuFileCompiled acMenuFileSource acMenuItem acMenuSeparator acMenuSubMenu acToolbarButton acToolbarSeparator acToolbarControl acToolbarFlyout acToolbarDockTop acToolbarDockBottom acToolbarDockLeft acToolbarDockRight acToolbarFloating acLnWt000 acLnWt005 acLnWt009 acLnWt013 acLnWt015 acLnWt018 acLnWt020 acLnWt025 acLnWt030 acLnWt035 acLnWt040 acLnWt050 acLnWt053 acLnWt060 acLnWt070 acLnWt080 acLnWt090 acLnWt100 acLnWt106 acLnWt120 acLnWt140 acLnWt158 acLnWt200 acLnWt211 acLnWtByLayer acLnWtByBlock acLnWtByLwDefault acNorm acMin acMax acInches acMillimeters acPixels ac0degrees ac90degrees ac180degrees ac270degrees acDisplay acExtents acLimits acView acWindow acLayout acScaleToFit ac1_128in_1ft ac1_64in_1ft ac1_32in_1ft ac1_16in_1ft ac3_32in_1ft ac1_8in_1ft ac3_16in_1ft ac1_4in_1ft ac3_8in_1ft ac1_2in_1ft ac3_4in_1ft ac1in_1ft ac3in_1ft ac6in_1ft ac1ft_1ft ac1_1 ac1_2 ac1_4 ac1_5 ac1_8 ac1_10 ac1_16 ac1_20 ac1_30 ac1_40 ac1_50 ac1_100 ac2_1 ac4_1 ac8_1 ac10_1 ac100_1 acAlignmentLeft acAlignmentCenter acAlignmentRight acAlignmentAligned acAlignmentMiddle acAlignmentFit acAlignmentTopLeft acAlignmentTopCenter acAlignmentTopRight acAlignmentMiddleLeft acAlignmentMiddleCenter acAlignmentMiddleRight acAlignmentBottomLeft acAlignmentBottomCenter acAlignmentBottomRight acLineSpacingStyleAtLeast acLineSpacingStyleExactly acDimPrecisionZero acDimPrecisionOne acDimPrecisionTwo acDimPrecisionThree acDimPrecisionFour acDimPrecisionFive acDimPrecisionSix acDimPrecisionSeven acDimPrecisionEight acDimScientific acDimDecimal acDimEngineering acDimArchitecturalStacked acDimFractionalStacked acDimArchitectural acDimFractional acDimWindowsDesktop acDimLScientific acDimLDecimal acDimLEngineering acDimLArchitectural acDimLFractional acDimLWindowsDesktop acArrowDefault acArrowClosedBlank acArrowClosed acArrowDot acArrowArchTick acArrowOblique acArrowOpen acArrowOrigin acArrowOrigin2 acArrowOpen90 acArrowOpen30 acArrowDotSmall acArrowDotBlank acArrowSmall acArrowBoxBlank acArrowBoxFilled acArrowDatumBlank acArrowDatumFilled acArrowIntegral acArrowNone acArrowUserDefined acCenterMark acCenterLine acCenterNone acTextAndArrows acArrowsOnly acTextOnly acBestFit acHorizontal acDiagonal acNotStacked acSymInFront acSymAbove acSymNone acHorzCentered acFirstExtensionLine acSecondExtensionLine acOverFirstExtension acOverSecondExtension acVertCentered acAbove acOutside acJIS acDimLineWithText acMoveTextAddLeader acMoveTextNoLeader acTolNone acTolSymmetrical acTolDeviation acTolLimits acTolBasic acTolBottom acTolMiddle acTolTop acVpScaleToFit acVpCustomScale acVp1 acVp2 acVp3 acVp4 acVp5 acVp6 acVp7 acVp8 acVp9 acVp10 acVp11 acVp12 acVp13 acVp14 acVp15 acVp16 acVp17 acVp18 acVp19 acVp20 acVp21 acVp22 acVp23 acVp24 acVp25 acVp26 acVp27 acVp28 acVp29 acVp30 acVp31 acVp32 acVp33 acVp34 acVp35 acVp36 acVp37 acVp38 acVp39 acVp40 acVp41 acVp42 acVp43 acVp44 acVp45 acVp46 acVp47 acVp48 acVp49 acVp50 acVp51 acVp52 acVp53 acVp54 acVp55 acVp56 acVp57 acVp58 acVp59 acVp60 acVp61 acVp62 acVp63 acVp64 acVp65 acVp66 acVp67 acVp68 acVp69 acVp70 acVp71 acVp72 acVp73 acVp74 acVp75 acVp76 acVp77 acVp78 acVp79 acVp80 acVp81 acVp82 acVp83 acVp84 acVp85 acVp86 acVp87 acVp88 acVp89 acVp90 acVp91 acVp92 acVp93 acVp94 acVp95 acVp96 acVp97 acVp98 acVp99 acVp100 acVp1_1 acVp1_2 acVp1_4 acVp1_8 acVp1_10 acVp1_16 acVp1_20 acVp1_30 acVp1_40 acVp1_50 acVp1_100 acVp2_1 acVp4_1 acVp8_1 acVp10_1 acVp100_1 acVp1_128in_1ft acVp1_64in_1ft acVp1_32in_1ft acVp1_16in_1ft acVp3_32in_1ft acVp1_8in_1ft acVp3_16in_1ft acVp1_4in_1ft acVp3_8in_1ft acVp1_2in_1ft acVp3_4in_1ft acVp1in_1ft acVp1and1_2in_1ft acVp3in_1ft acVp6in_1ft acVp1ft_1ft acPenWidth013 acPenWidth018 acPenWidth025 acPenWidth035 acPenWidth050 acPenWidth070 acPenWidth100 acPenWidth140 acPenWidth200 acPenWidthUnk acUnknown acR12_dxf acR13_dwg acR13_dxf acR14_dwg acR14_dxf ac2000_dwg ac2000_dxf ac2000_Template ac2004_dwg ac2004_dxf ac2004_Template ac2007_dwg ac2007_dxf ac2007_Template acNative acR15_dwg acR15_dxf acR15_Template acR18_dwg acR18_dxf acR18_Template acPrinterAlwaysAlert acPrinterAlertOnce acPrinterNeverAlertLogOnce acPrinterNeverAlert acPolicyNewDefault acPolicyNewLegacy acPolicyLegacyDefault acPolicyLegacyQuery acPolicyLegacyLegacy acOQLineArt acOQText acOQGraphics acOQPhoto acOQHighPhoto acPaletteByDrawing acPaletteBySession acInsertUnitsUnitless acInsertUnitsInches acInsertUnitsFeet acInsertUnitsMiles acInsertUnitsMillimeters acInsertUnitsCentimeters acInsertUnitsMeters acInsertUnitsKilometers acInsertUnitsMicroinches acInsertUnitsMils acInsertUnitsYards acInsertUnitsAngstroms acInsertUnitsNanometers acInsertUnitsMicrons acInsertUnitsDecimeters acInsertUnitsDecameters acInsertUnitsHectometers acInsertUnitsGigameters acInsertUnitsAstronomicalUnits acInsertUnitsLightYears acInsertUnitsParsecs acAlignPntAcquisitionAutomatic acAlignPntAcquisitionShiftToAcquire acInsertUnitsPrompt acInsertUnitsAutoAssign acPolicyNamed acPolicyLegacy acNoDrawingAreaShortCutMenu acUseDefaultDrawingAreaShortCutMenu acRepeatLastCommand acSCM acEdRepeatLastCommand acEdSCM acEnter acEnableSCMOptions acEnableSCM acLsNone acLsOn acLsFrozen acLsLocked acLsPlot acLsNewViewport acLsColor acLsLineType acLsLineWeight acLsPlotStyle acLsAll acShadePlotAsDisplayed acShadePlotWireframe acShadePlotHidden acShadePlotRendered acHatchObject acGradientObject acPreDefinedGradient acUserDefinedGradient acTableTopToBottom acTableBottomToTop acTopLeft acTopCenter acTopRight acMiddleLeft acMiddleCenter acMiddleRight acBottomLeft acBottomCenter acBottomRight acUnknownRow acDataRow acTitleRow acHeaderRow acUnknownDataType acLong acDouble acString acDate acPoint2d acPoint3d acObjectId acBuffer acResbuf acGeneral acUnitless acUnitDistance acUnitAngle acUnitArea acUnitVolume acParseOptionNone acSetDefaultFormat acPreserveMtextFormat kFormatOptionNone acForEditing acForExpression acUseMaximumPrecision acIgnoreMtextFormat acInvalidGridLine acHorzTop acHorzInside acHorzBottom acVertLeft acVertInside acVertRight acUnknownCell acTextCell acBlockCell acTopMask acRightMask acBottomMask acLeftMask acDegreesUnknown acDegrees000 acDegrees090 acDegrees180 acDegrees270 acMergeCellStyleNone acMergeCellStyleCopyDuplicates acMergeCellStyleOverwriteDuplicates acMergeCellStyleConvertDuplicatesToOverrides acMergeCellStyleIgnoreNewStyles acTableSelectWindow acTableSelectCrossing acOTLink acOTEmbedded acOTStatic acOPQMonochrome acOPQLowGraphics acOPQHighGraphics acTitleSuppressed acHeaderSuppressed acFlowDirection acHorzCellMargin acVertCellMargin acTitleRowColor acHeaderRowColor acDataRowColor acTitleRowFillNone acHeaderRowFillNone acDataRowFillNone acTitleRowFillColor acHeaderRowFillColor acDataRowFillColor acTitleRowAlignment acHeaderRowAlignment acDataRowAlignment acTitleRowTextStyle acHeaderRowTextStyle acDataRowTextStyle acTitleRowTextHeight acHeaderRowTextHeight acDataRowTextHeight acTitleRowDataType acHeaderRowDataType acDataRowDataType acTitleHorzTopColor acTitleHorzInsideColor acTitleHorzBottomColor acTitleVertLeftColor acTitleVertInsideColor acTitleVertRightColor acHeaderHorzTopColor acHeaderHorzInsideColor acHeaderHorzBottomColor acHeaderVertLeftColor acHeaderVertInsideColor acHeaderVertRightColor acDataHorzTopColor acDataHorzInsideColor acDataHorzBottomColor acDataVertLeftColor acDataVertInsideColor acDataVertRightColor acTitleHorzTopLineWeight acTitleHorzInsideLineWeight acTitleHorzBottomLineWeight acTitleVertLeftLineWeight acTitleVertInsideLineWeight acTitleVertRightLineWeight acHeaderHorzTopLineWeight acHeaderHorzInsideLineWeight acHeaderHorzBottomLineWeight acHeaderVertLeftLineWeight acHeaderVertInsideLineWeight acHeaderVertRightLineWeight acDataHorzTopLineWeight acDataHorzInsideLineWeight acDataHorzBottomLineWeight acDataVertLeftLineWeight acDataVertInsideLineWeight acDataVertRightLineWeight acTitleHorzTopVisibility acTitleHorzInsideVisibility acTitleHorzBottomVisibility acTitleVertLeftVisibility acTitleVertInsideVisibility acTitleVertRightVisibility acHeaderHorzTopVisibility acHeaderHorzInsideVisibility acHeaderHorzBottomVisibility acHeaderVertLeftVisibility acHeaderVertInsideVisibility acHeaderVertRightVisibility acDataHorzTopVisibility acDataHorzInsideVisibility acDataHorzBottomVisibility acDataVertLeftVisibility acDataVertInsideVisibility acDataVertRightVisibility acCellAlign acCellBackgroundFillNone acCellBackgroundColor acCellContentColor acCellTextStyle acCellTextHeight acCellTopGridColor acCellRightGridColor acCellBottomGridColor acCellLeftGridColor acCellTopGridLineWeight acCellRightGridLineWeight acCellBottomGridLineWeight acCellLeftGridLineWeight acCellTopVisibility acCellRightVisibility acCellBottomVisibility acCellLeftVisibility acCellDataType acTop acZero acBottom acAny acUniform acNoUnits acAngular acDistance acArea acSectionStatePlane acSectionStateBoundary acSectionStateVolume acSectionSubItemkNone acSectionSubItemSectionLine acSectionSubItemSectionLineTop acSectionSubItemSectionLineBottom acSectionSubItemBackLine acSectionSubItemBackLineTop acSectionSubItemBackLineBottom acSectionSubItemVerticalLineTop acSectionSubItemVerticalLineBottom acSectionTypeLiveSection acSectionType2dSection acSectionType3dSection acSectionGenerationSourceAllObjects acSectionGenerationSourceSelectedObjects acSectionGenerationDestinationNewBlock acSectionGenerationDestinationReplaceBlock acSectionGenerationDestinationFile acTurnHeight acTurns acHeight acCastsAndReceivesShadows acCastsShadows acReceivesShadows acIgnoreShadows acRuled acSmooth acFirstNormal acLastNormal acEndsNormal acAllNormal acUseDraftAngles acCCW acCW acNoOverrides acApplied acTableFlowRight acTableFlowDownOrUp acTableFlowLeft acCellMarginTop acCellMarginLeft acCellMarginBottom acCellMarginRight acCellMarginHorzSpacing acCellMarginVertSpacing acCellContentLayoutFlow acCellContentLayoutStackedHorizontal acCellContentLayoutStackedVertical acInvalidCellProperty acLock acDataType acDataFormat acRotation acScale acAlignmentProperty acContentColor acBackgroundColor acTextStyle acTextHeight acMarginLeft acMarginTop acMarginRight acMarginBottom acEnableBackgroundColor acAutoScale acMergeAll acFlowDirBtoT acContentLayout acDataTypeAndFormat acContentProperties acBitProperties acAllCellProperties acGridLineStyleSingle acGridLineStyleDouble acUpdateDataFromSource acUpdateSourceFromData acUpdateOptionNone acUpdateOptionOverwriteContentModifiedAfterUpdate acUpdateOptionOverwriteFormatModifiedAfterUpdate acUpdateOptionUpdateFullSourceRange acUpdateOptionIncludeXrefs acCellContentTypeUnknown acCellContentTypeValue acCellContentTypeField acCellContentTypeBlock acCellStateNone acCellStateContentLocked acCellStateContentReadOnly acCellStateFormatLocked acCellStateFormatReadOnly acCellStateLinked acCellStateContentModified acCellStateFormatModified kCellOptionNone kInheritCellFormat acAttachmentTopOfTop acAttachmentMiddleOfTop acAttachmentBottomOfTop acAttachmentBottomOfTopLine acAttachmentMiddle acAttachmentMiddleOfBottom acAttachmentBottomOfBottom acAttachmentBottomLine acAttachmentAllLine acStraightLeader acSplineLeader acInVisibleLeader acNoneContent acBlockContent acMTextContent acLeftAlignment acCenterAlignment acRightAlignment acInsertAngle acHorizontalAngle acAlwaysRightReadingAngle acConnectExtents acConnectBase acBlockImperial acBlockSlot acBlockCircle acBlockBox acBlockHexagon acBlockTriangle acBlockUserDefined acDrawLeaderHeadFirst acDrawLeaderTailFirst acDrawContentFirst acDrawLeaderFirst acDegreesAny acDegrees15 acDegrees30 acDegrees45 acDegrees60 acDegrees90 acDegreesHorz acColorMethodByLayer acColorMethodByBlock acColorMethodByRGB acColorMethodByACI acColorMethodForeground AcadSecurityParams_Encrypt_Data AcadSecurityParams_Encrypt_Props AcadSecurityParams_Sign_Data AcadSecurityParams_Add_Timestamp AcadSecurityParams_Algid_RC4 Acet:VARDWG Acet:VARPRO Acet:VARFIX Acet:VARALL Acet:DEFBUTTON1 Acet:DEFBUTTON2 Acet:DEFBUTTON3 Acet:DEFBUTTON4 Acet:ICONSTOP Acet:ICONQUESTION Acet:ICONWARNING Acet:ICONINFORMATION Acet:OK Acet:OKCANCEL Acet:ABORTRETRYIGNORE Acet:YESNOCANCEL Acet:YESNO Acet:RETRYCANCEL Acet:READONLY Acet:HIDDEN Acet:SYSTEM Acet:DIRECTORY Acet:ARCHIVE Acet:IDOK Acet:IDCANCEL Acet:IDABORT Acet:IDRETRY Acet:IDIGNORE Acet:IDYES Acet:IDNO Acet:IDCLOSE Acet:IDHELP VK_LBUTTON VK_RBUTTON VK_CANCEL VK_MBUTTON VK_XBUTTON1 VK_XBUTTON2 VK_BACK VK_TAB VK_CLEAR VK_RETURN VK_SHIFT VK_CONTROL VK_MENU VK_PAUSE VK_CAPITAL VK_ESCAPE VK_CONVERT VK_NONCONVERT VK_ACCEPT VK_MODECHANGE VK_SPACE VK_PRIOR VK_NEXT VK_END VK_HOME VK_LEFT VK_UP VK_RIGHT VK_DOWN VK_SELECT VK_PRINT VK_EXECUTE VK_SNAPSHOT VK_INSERT VK_DELETE VK_HELP VK_LWIN VK_RWIN VK_APPS VK_SLEEP VK_NUMPAD0 VK_NUMPAD1 VK_NUMPAD2 VK_NUMPAD3 VK_NUMPAD4 VK_NUMPAD5 VK_NUMPAD6 VK_NUMPAD7 VK_NUMPAD8 VK_NUMPAD9 VK_MULTIPLY VK_ADD VK_SEPARATOR VK_SUBTRACT VK_DECIMAL VK_DIVIDE VK_F1 VK_F2 VK_F3 VK_F4 VK_F5 VK_F6 VK_F7 VK_F8 VK_F9 VK_F10 VK_F11 VK_F12 VK_F13 VK_F14 VK_F15 VK_F16 VK_F17 VK_F18 VK_F19 VK_F20 VK_F21 VK_F22 VK_F23 VK_F24 VK_NUMLOCK VK_SCROLL VK_LSHIFT VK_RSHIFT VK_LCONTROL VK_RCONTROL VK_LMENU VK_RMENU VK_BROWSER_BACK VK_BROWSER_FORWARD VK_BROWSER_REFRESH VK_BROWSER_STOP VK_BROWSER_SEARCH VK_BROWSER_FAVORITES VK_BROWSER_HOME VK_VOLUME_MUTE VK_VOLUME_DOWN VK_VOLUME_UP VK_MEDIA_NEXT_TRACK VK_MEDIA_PREV_TRACK VK_MEDIA_STOP VK_MEDIA_PLAY_PAUSE VK_LAUNCH_MAIL VK_LAUNCH_MEDIA_SELECT VK_LAUNCH_APP1 VK_LAUNCH_APP2 VK_ATTN VK_CRSEL VK_EXSEL VK_EREOF VK_PLAY VK_ZOOM VK_NONAME VK_PA1 bcBimUnknownObject bcBimSpatialLocation bcBimStory bcBimBuilding bcBimComposition bcBimGenericBuildingElt bcBimWall bcBimSlab bcBimColumn bcBimBeam bcBimWindow bcBimDoor bcBimCovering bcBimCurtainWall bcBimFlowTerminal bcBimFooting bcBimFurnishingElement bcBimMember bcBimPile bcBimRailing bcBimRamp bcBimRampFlight bcBimRoof bcBimStair bcBimStairFlight bcBimRoom bcBimSite bcBimSection bcBimXReference T nil 0 1 TRUE FALSE Y N y n PAUSE PI vl-acad-defun vl-acad-undefun vl-arx-import vl-bb-ref vl-bb-set vl-bt vl-bt-off vl-bt-on vl-catch-all-apply vl-catch-all-error-message vl-catch-all-error-p vl-cmdf vl-consp vl-directory-files vl-doc-export vl-doc-import vl-doc-ref vl-doc-set vl-every vl-exit-with-error vl-exit-with-value vl-file-copy vl-file-delete vl-file-directory-p vl-filename-base vl-filename-directory vl-filename-extension vl-filename-mktemp vl-file-rename vl-file-size vl-file-systime vl-get-resource vl-infp vl-init vl-list* vl-list-exported-functions vl-list-length vl-list-loaded-vlx vl-load-all vl-load-com vl-load-reactors vl-member-if vl-member-if-not vl-mkdir vl-nanp vl-position vl-prin1-to-string vl-princ-to-string vl-propagate vl-registry-delete vl-registry-descendents vl-registry-read vl-registry-write vl-remove vl-remove-if vl-remove-if-not vl-some vl-sort vl-sort-i vl-string-elt vl-string-left-trim vl-string-mismatch vl-string-position vl-string-right-trim vl-string-search vl-string-subst vl-string-translate vl-string-trim vl-symbol-name vl-symbolp vl-symbol-value vl-unload-vlx vl-vbaload vl-vbarun vl-vlx-loaded-p vl-vplayer-set-color vl-vplayer-set-truecolor vl-vplayer-set-linetype vl-vplayer-set-lineweight vl-vplayer-set-transparency vl-vplayer-get-color vl-vplayer-get-linetype vl-vplayer-get-lineweight vl-vplayer-get-transparency vlr-acdb-reactor vlr-add vlr-added-p vlr-beep-reaction vlr-command-reactor vlr-current-reaction-name vlr-data vlr-data-set vlr-depclone-reactor vlr-docmanager-reactor vlr-document vlr-dwg-reactor vlr-dxf-reactor vlr-editor-reactor vlr-insert-reactor vlr-linker-reactor vlr-lisp-reactor vlr-miscellaneous-reactor vlr-mouse-reactor vlr-notification vlr-object-reactor vlr-owner-add vlr-owner-remove vlr-owners vlr-pers vlr-pers-activate vlr-pers-dictname vlr-pers-list vlr-pers-p vlr-pers-release vlr-reaction-names vlr-reactions vlr-reaction-set vlr-reactors vlr-remove vlr-remove-all vlr-set-notification vlr-sysvar-reactor vlr-toolbar-reactor vlr-trace-reaction vlr-type vlr-types vlr-undo-reactor vlr-wblock-reactor vlr-window-reactor vlr-xref-reactor safearray safearray-get-dim safearray-get-element safearray-get-l-bound safearray-get-u-bound safearray-put-element safearray-type safearray-value variant variant-value vlax-2d-point vlax-3d-point vlax-add-cmd vlax-create-object vlax-curve-getarea vlax-curve-getperimeter vlax-curve-getclosestpointto vlax-curve-getclosestpointtoprojection vlax-curve-getdistatparam vlax-curve-getdistatpoint vlax-curve-getendparam vlax-curve-getendpoint vlax-curve-getfirstderiv vlax-curve-getparamatdist vlax-curve-getparamatpoint vlax-curve-getpointatdist vlax-curve-getpointatparam vlax-curve-getsecondderiv vlax-curve-getstartparam vlax-curve-getstartpoint vlax-curve-isclosed vlax-curve-isperiodic vlax-curve-isplanar vlax-dump-object vlax-erased-p vlax-get vlax-get-acad-object vlax-get-object vlax-get-or-create-object vlax-get-property vlax-import-type-library vlax-invoke vlax-invoke-method vlax-ldata-delete vlax-ldata-get vlax-ldata-list vlax-ldata-put vlax-ldata-test vlax-make-safearray vlax-make-variant vlax-map-collection vlax-method-applicable-p vlax-object-released-p vlax-product-key vlax-property-available-p vlax-put vlax-put-property vlax-queueexpr vlax-read-enabled-p vlax-release-object vlax-remove-cmd vlax-safearray-fill vlax-safearray-get-dim vlax-safearray-get-element vlax-safearray-get-l-bound vlax-safearray-get-u-bound vlax-safearray-put-element vlax-safearray-type vlax-safearray-value vlax-tmatrix vlax-typeinfo-available-p vlax-variant-change-type vlax-variant-type vlax-variant-value vlax-write-enabled-p vla-activate vla-add vla-add3dface vla-add3dmesh vla-add3dpoly vla-addarc vla-addattribute vla-addbox vla-addcircle vla-addcone vla-addcustominfo vla-addcustomobject vla-addcylinder vla-adddim3pointangular vla-adddimaligned vla-adddimangular vla-adddimarc vla-adddimdiametric vla-adddimordinate vla-adddimradial vla-adddimradiallarge vla-adddimrotated vla-addellipse vla-addellipticalcone vla-addellipticalcylinder vla-addextrudedsolid vla-addextrudedsolidalongpath vla-addfitpoint vla-addhatch vla-additems vla-addleader vla-addleaderline vla-addleaderlineex vla-addlightweightpolyline vla-addline vla-addmenuitem vla-addminsertblock vla-addmleader vla-addmline vla-addmtext vla-addobject vla-addpoint vla-addpolyfacemesh vla-addpolyline vla-addpviewport vla-addraster vla-addray vla-addregion vla-addrevolvedsolid vla-addsection vla-addseparator vla-addshape vla-addsolid vla-addsphere vla-addspline vla-addsubmenu vla-addtable vla-addtext vla-addtolerance vla-addtoolbarbutton vla-addtorus vla-addtrace vla-addvertex vla-addwedge vla-addxline vla-addxrecord vla-anglefromxaxis vla-angletoreal vla-angletostring vla-appendinnerloop vla-appenditems vla-appendouterloop vla-appendvertex vla-arraypolar vla-arrayrectangular vla-attachexternalreference vla-attachtoolbartoflyout vla-auditinfo vla-bind vla-block vla-boolean vla-checkinterference vla-clear vla-clearsubselection vla-cleartablestyleoverrides vla-clipboundary vla-close vla-converttoanonymousblock vla-converttostaticblock vla-copy vla-copyfrom vla-copyobjects vla-copyprofile vla-createcellstyle vla-createcellstylefromstyle vla-createcontent vla-createentry vla-createjog vla-createtypedarray vla-delete vla-deletecellcontent vla-deletecellstyle vla-deletecolumns vla-deleteconfiguration vla-deletecontent vla-deletefitpoint vla-deleteprofile vla-deleterows vla-detach vla-display vla-displayplotpreview vla-distancetoreal vla-dock vla-dxfin vla-elevateorder vla-enablemergeall vla-endundomark vla-erase vla-eval vla-evaluate vla-explode vla-export vla-exportprofile vla-fieldcode vla-float vla-formatvalue vla-generatelayout vla-generatesectiongeometry vla-generateusagedata vla-getacadstate vla-get-action vla-get-active vla-get-activedimstyle vla-get-activedocument vla-get-activelayer vla-get-activelayout vla-get-activelinetype vla-get-activematerial vla-get-activeprofile vla-get-activepviewport vla-get-activeselectionset vla-get-activespace vla-get-activetextstyle vla-get-activeucs vla-get-activeviewport vla-get-adcinsertunitsdefaultsource vla-get-adcinsertunitsdefaulttarget vla-get-adjustforbackground vla-get-affectsgraphics vla-get-algorithm vla-getalignment vla-get-alignment vla-getalignment2 vla-get-alignmentpointacquisition vla-get-alignspace vla-get-allowedvalues vla-get-allowlongsymbolnames vla-get-allowmanualheights vla-get-allowmanualpositions vla-getallprofilenames vla-get-altfontfile vla-get-altrounddistance vla-get-altsuppressleadingzeros vla-get-altsuppresstrailingzeros vla-get-altsuppresszerofeet vla-get-altsuppresszeroinches vla-get-alttabletmenufile vla-get-alttextprefix vla-get-alttextsuffix vla-get-alttoleranceprecision vla-get-alttolerancesuppressleadingzeros vla-get-alttolerancesuppresstrailingzeros vla-get-alttolerancesuppresszerofeet vla-get-alttolerancesuppresszeroinches vla-get-altunits vla-get-altunitsformat vla-get-altunitsprecision vla-get-altunitsscale vla-getangle vla-get-angle vla-get-angleformat vla-get-anglevertex vla-get-annotation vla-get-annotative vla-get-application vla-get-arcendparam vla-get-arclength vla-get-arcpoint vla-get-arcsmoothness vla-get-arcstartparam vla-get-area vla-get-arrowhead1block vla-get-arrowhead1type vla-get-arrowhead2block vla-get-arrowhead2type vla-get-arrowheadblock vla-get-arrowheadsize vla-get-arrowheadtype vla-get-arrowsize vla-get-arrowsymbol vla-get-associativehatch vla-getattachmentpoint vla-get-attachmentpoint vla-getattributes vla-get-author vla-get-autoaudit vla-get-automaticplotlog vla-get-autosaveinterval vla-get-autosavepath vla-getautoscale vla-getautoscale2 vla-get-autosnapaperture vla-get-autosnapaperturesize vla-get-autosnapmagnet vla-get-autosnapmarker vla-get-autosnapmarkercolor vla-get-autosnapmarkersize vla-get-autosnaptooltip vla-get-autotrackingveccolor vla-get-autotracktooltip vla-get-axisdirection vla-get-axisposition vla-getbackgroundcolor vla-getbackgroundcolor2 vla-getbackgroundcolornone vla-get-backgroundfill vla-get-backgroundlinescolor vla-get-backgroundlineshiddenline vla-get-backgroundlineslayer vla-get-backgroundlineslinetype vla-get-backgroundlineslinetypescale vla-get-backgroundlineslineweight vla-get-backgroundlinesplotstylename vla-get-backgroundlinesvisible vla-get-backward vla-get-bank vla-get-basepoint vla-get-baseradius vla-get-batchplotprogress vla-get-beeponerror vla-get-bigfontfile vla-get-bitflags vla-getbitmaps vla-get-block vla-getblockattributevalue vla-getblockattributevalue2 vla-getblockattributevalue32 vla-getblockattributevalue232 vla-get-blockcolor vla-get-blockconnectiontype vla-getblockrotation vla-get-blockrotation vla-get-blocks vla-getblockscale vla-get-blockscale vla-get-blockscaling vla-getblocktablerecordid vla-getblocktablerecordid2 vla-getblocktablerecordid32 vla-getblocktablerecordid232 vla-get-blue vla-get-bookname vla-get-bottomheight vla-getboundingbox vla-getbreakheight vla-get-breaksenabled vla-get-breaksize vla-get-breakspacing vla-get-brightness vla-getbulge vla-get-canonicalmedianame vla-getcanonicalmedianames vla-get-caption vla-get-categoryname vla-getcellalignment vla-getcellbackgroundcolor vla-getcellbackgroundcolornone vla-getcellclass vla-getcellcontentcolor vla-getcelldatatype vla-getcellextents vla-getcellformat vla-getcellgridcolor vla-getcellgridlineweight vla-getcellgridvisibility vla-getcellstate vla-getcellstyle vla-getcellstyleoverrides vla-getcellstyles vla-getcelltextheight vla-getcelltextstyle vla-getcelltype vla-getcellvalue vla-get-center vla-get-centermarksize vla-get-centerplot vla-get-centerpoint vla-get-centertype vla-get-centroid vla-get-check vla-get-chordpoint vla-get-circumference vla-get-clipped vla-get-clippingenabled vla-get-closed vla-getcolor vla-get-color vla-getcolor2 vla-get-colorbookpath vla-get-colorindex vla-get-colormethod vla-get-colorname vla-getcolumnname vla-get-columns vla-get-columnspacing vla-getcolumnwidth vla-get-comment vla-get-comments vla-get-configfile vla-get-configname vla-get-constant vla-getconstantattributes vla-get-constantwidth vla-get-constrain vla-get-contentblockname vla-get-contentblocktype vla-getcontentcolor vla-getcontentcolor2 vla-getcontentlayout vla-getcontenttype vla-get-contenttype vla-get-continuousplotlog vla-get-contourlinespersurface vla-get-contrast vla-getcontrolpoint vla-get-controlpoints vla-get-coordinate vla-get-coordinates vla-getcorner vla-get-count vla-get-createbackup vla-get-currentsectiontype vla-get-cursorsize vla-get-curvetangencylinescolor vla-get-curvetangencylineslayer vla-get-curvetangencylineslinetype vla-get-curvetangencylineslinetypescale vla-get-curvetangencylineslineweight vla-get-curvetangencylinesplotstylename vla-get-curvetangencylinesvisible vla-getcustombyindex vla-getcustombykey vla-getcustomdata vla-get-customdictionary vla-get-customiconpath vla-getcustomscale vla-get-customscale vla-get-database vla-getdataformat vla-getdatatype vla-getdatatype2 vla-get-decimalseparator vla-get-defaultinterneturl vla-get-defaultoutputdevice vla-get-defaultplotstyleforlayer vla-get-defaultplotstyleforobjects vla-get-defaultplotstyletable vla-get-defaultplottofilepath vla-get-degree vla-get-delta vla-get-demandloadarxapp vla-get-description vla-get-destinationblock vla-get-destinationfile vla-get-diameter vla-get-dictionaries vla-get-dimensionlinecolor vla-get-dimensionlineextend vla-get-dimensionlinetype vla-get-dimensionlineweight vla-get-dimline1suppress vla-get-dimline2suppress vla-get-dimlineinside vla-get-dimlinesuppress vla-get-dimstyles vla-get-direction vla-get-directionvector vla-get-display vla-get-displaygrips vla-get-displaygripswithinblocks vla-get-displaylayouttabs vla-get-displaylocked vla-get-displayolescale vla-get-displayscreenmenu vla-get-displayscrollbars vla-get-displaysilhouette vla-getdistance vla-get-dockedvisiblelines vla-get-dockstatus vla-get-document vla-get-documents vla-getdoglegdirection vla-get-doglegged vla-get-dogleglength vla-get-drafting vla-get-drawingdirection vla-get-drawleaderordertype vla-get-drawmleaderordertype vla-get-driverspath vla-getdynamicblockproperties vla-get-effectivename vla-get-elevation vla-get-elevationmodelspace vla-get-elevationpaperspace vla-get-enable vla-get-enableblockrotation vla-get-enableblockscale vla-get-enabledogleg vla-get-enableframetext vla-get-enablelanding vla-get-enablestartupdialog vla-get-endangle vla-get-enddraftangle vla-get-enddraftmagnitude vla-get-endparameter vla-get-endpoint vla-get-endsubmenulevel vla-get-endtangent vla-get-enterprisemenufile vla-getentity vla-get-entitycolor vla-get-entityname vla-get-explodable vla-getextensiondictionary vla-get-extensionlinecolor vla-get-extensionlineextend vla-get-extensionlineoffset vla-get-extensionlineweight vla-get-extline1endpoint vla-get-extline1linetype vla-get-extline1point vla-get-extline1startpoint vla-get-extline1suppress vla-get-extline2endpoint vla-get-extline2linetype vla-get-extline2point vla-get-extline2startpoint vla-get-extline2suppress vla-get-extlinefixedlen vla-get-extlinefixedlensuppress vla-get-fade vla-get-feature vla-getfieldid vla-getfieldid2 vla-getfieldid32 vla-getfieldid232 vla-get-fieldlength vla-get-file vla-get-filedependencies vla-get-filename vla-get-files vla-get-filesize vla-get-fingerprintguid vla-get-firstsegmentangleconstraint vla-get-fit vla-getfitpoint vla-get-fitpoints vla-get-fittolerance vla-get-floatingrows vla-get-flowdirection vla-get-flyout vla-getfont vla-get-fontfile vla-get-fontfilemap vla-get-forcelineinside vla-get-foregroundlinescolor vla-get-foregroundlinesedgetransparency vla-get-foregroundlinesfacetransparency vla-get-foregroundlineshiddenline vla-get-foregroundlineslayer vla-get-foregroundlineslinetype vla-get-foregroundlineslinetypescale vla-get-foregroundlineslineweight vla-get-foregroundlinesplotstylename vla-get-foregroundlinesvisible vla-getformat vla-getformat2 vla-getformula vla-get-foundpath vla-get-fractionformat vla-get-freeze vla-get-fullcrcvalidation vla-getfulldraworder vla-get-fullfilename vla-get-fullname vla-get-fullscreentrackingvector vla-get-generationoptions vla-get-gradientangle vla-get-gradientcentered vla-get-gradientcolor1 vla-get-gradientcolor2 vla-get-gradientname vla-get-graphicswinlayoutbackgrndcolor vla-get-graphicswinmodelbackgrndcolor vla-get-green vla-getgridcolor vla-getgridcolor2 vla-getgriddoublelinespacing vla-getgridlinestyle vla-getgridlinetype vla-getgridlinetype32 vla-getgridlineweight vla-getgridlineweight2 vla-get-gridon vla-getgridspacing vla-getgridvisibility vla-getgridvisibility2 vla-get-gripcolorselected vla-get-gripcolorunselected vla-get-gripsize vla-get-groups vla-get-handle vla-get-hasattributes vla-get-hasextensiondictionary vla-gethasformula vla-get-hasleader vla-get-hassheetview vla-get-hassubselection vla-get-hasvpassociation vla-get-hatchobjecttype vla-get-hatchstyle vla-get-headersuppressed vla-get-height vla-get-helpfilepath vla-get-helpstring vla-get-history vla-get-historylines vla-get-horizontaltextposition vla-get-horzcellmargin vla-get-hwnd vla-get-hyperlinkbase vla-get-hyperlinkdisplaycursor vla-get-hyperlinkdisplaytooltip vla-get-hyperlinks vla-get-imagefile vla-get-imageframehighlight vla-get-imageheight vla-get-imagevisibility vla-get-imagewidth vla-get-incrementalsavepercent vla-get-index vla-get-indicatorfillcolor vla-get-indicatortransparency vla-getinput vla-get-insertionpoint vla-get-insunits vla-get-insunitsfactor vla-getinteger vla-getinterfaceobject vla-get-intersectionboundarycolor vla-get-intersectionboundarydivisionlines vla-get-intersectionboundarylayer vla-get-intersectionboundarylinetype vla-get-intersectionboundarylinetypescale vla-get-intersectionboundarylineweight vla-get-intersectionboundaryplotstylename vla-get-intersectionboundaryvisible vla-get-intersectionfillcolor vla-get-intersectionfillfacetransparency vla-get-intersectionfillhatchangle vla-get-intersectionfillhatchpatternname vla-get-intersectionfillhatchpatterntype vla-get-intersectionfillhatchscale vla-get-intersectionfillhatchspacing vla-get-intersectionfilllayer vla-get-intersectionfilllinetype vla-get-intersectionfilllinetypescale vla-get-intersectionfilllineweight vla-get-intersectionfillplotstylename vla-get-intersectionfillvisible vla-get-invisible vla-getinvisibleedge vla-getiscellstyleinuse vla-get-iscloned vla-get-isdynamicblock vla-get-islayout vla-getismergeallenabled vla-get-ismodified vla-get-isopenwidth vla-get-isownerxlated vla-get-ispartial vla-get-isperiodic vla-get-isplanar vla-get-isprimary vla-get-isquiescent vla-get-isrational vla-get-issuer vla-get-isxref vla-get-itemname vla-get-jogangle vla-get-joglocation vla-get-justification vla-get-key vla-get-keyboardaccelerator vla-get-keyboardpriority vla-get-keylength vla-getkeyword vla-get-keywords vla-get-knots vla-get-label vla-get-labelblockid vla-get-landinggap vla-get-largebuttons vla-get-lastheight vla-get-lastsavedby vla-get-layer vla-get-layeron vla-get-layerpropertyoverrides vla-get-layers vla-get-layerstate vla-get-layout vla-get-layoutcreateviewport vla-get-layoutcrosshaircolor vla-get-layoutdisplaymargins vla-get-layoutdisplaypaper vla-get-layoutdisplaypapershadow vla-get-layoutid vla-get-layouts vla-get-layoutshowplotsetup vla-get-leader1point vla-get-leader2point vla-get-leadercount vla-getleaderindex vla-get-leaderlinecolor vla-getleaderlineindexes vla-get-leaderlinetype vla-get-leaderlinetypeid vla-getleaderlinevertices vla-get-leaderlineweight vla-get-leadertype vla-get-left vla-get-length vla-get-lenslength vla-get-limits vla-get-linearscalefactor vla-get-linespacingdistance vla-get-linespacingfactor vla-get-linespacingstyle vla-get-linetype vla-get-linetypegeneration vla-get-linetypes vla-get-linetypescale vla-get-lineweight vla-get-lineweightdisplay vla-getlivesection vla-get-livesectionenabled vla-get-loadacadlspinalldocuments vla-get-localeid vla-getlocalemedianame vla-get-lock vla-get-lockaspectratio vla-get-lockposition vla-get-logfileon vla-get-logfilepath vla-getloopat vla-get-lowerleftcorner vla-get-macro vla-get-maindictionary vla-get-majoraxis vla-get-majorradius vla-getmargin vla-get-mask vla-get-material vla-get-materials vla-get-maxactiveviewports vla-get-maxautocadwindow vla-get-maxleadersegmentspoints vla-get-mclose vla-get-mdensity vla-get-measurement vla-get-menubar vla-get-menufile vla-get-menufilename vla-get-menugroups vla-get-menus vla-getminimumcolumnwidth vla-getminimumrowheight vla-get-minimumtableheight vla-get-minimumtablewidth vla-get-minoraxis vla-get-minorradius vla-get-mlinescale vla-get-mode vla-get-modelcrosshaircolor vla-get-modelspace vla-get-modeltype vla-get-modelview vla-get-momentofinertia vla-get-monochrome vla-get-mrunumber vla-get-mspace vla-get-mtextattribute vla-get-mtextattributecontent vla-get-mtextboundarywidth vla-get-mtextdrawingdirection vla-get-mvertexcount vla-getname vla-get-name vla-get-namenomnemonic vla-get-nclose vla-get-ndensity vla-get-normal vla-get-numberofcontrolpoints vla-get-numberofcopies vla-get-numberoffaces vla-get-numberoffitpoints vla-get-numberofloops vla-get-numberofvertices vla-get-numcellstyles vla-get-numcrosssections vla-get-numguidepaths vla-get-numvertices vla-get-nvertexcount vla-getobject vla-get-objectid vla-get-objectid32 vla-get-objectname vla-getobjectidstring vla-get-objectsnapmode vla-get-objectsortbyplotting vla-get-objectsortbypsoutput vla-get-objectsortbyredraws vla-get-objectsortbyregens vla-get-objectsortbyselection vla-get-objectsortbysnap vla-get-obliqueangle vla-get-oleitemtype vla-get-olelaunch vla-get-oleplotquality vla-get-olequality vla-get-olesourceapp vla-get-onmenubar vla-get-opensave vla-getorientation vla-get-origin vla-get-orthoon vla-get-output vla-getoverride vla-get-overridecenter vla-get-overwritepropchanged vla-get-ownerid vla-get-pagesetupoverridestemplatefile vla-getpapermargins vla-getpapersize vla-get-paperspace vla-get-paperunits vla-get-parent vla-get-password vla-get-path vla-get-patternangle vla-get-patterndouble vla-get-patternname vla-get-patternscale vla-get-patternspace vla-get-patterntype vla-get-perimeter vla-get-pickadd vla-get-pickauto vla-get-pickboxsize vla-get-pickdrag vla-get-pickfirst vla-get-pickfirstselectionset vla-get-pickgroup vla-get-plot vla-get-plotconfigurations vla-getplotdevicenames vla-get-plothidden vla-get-plotlegacy vla-get-plotlogfilepath vla-get-plotorigin vla-get-plotpolicy vla-get-plotrotation vla-get-plotstylename vla-getplotstyletablenames vla-get-plottable vla-get-plottype vla-get-plotviewportborders vla-get-plotviewportsfirst vla-get-plotwithlineweights vla-get-plotwithplotstyles vla-getpoint vla-get-polartrackingvector vla-get-position vla-get-postscriptprologfile vla-get-preferences vla-get-preset vla-get-primaryunitsprecision vla-get-principaldirections vla-get-principalmoments vla-get-printerconfigpath vla-get-printerdescpath vla-get-printerpapersizealert vla-get-printerspoolalert vla-get-printerstylesheetpath vla-get-printfile vla-get-printspoolerpath vla-get-printspoolexecutable vla-get-productofinertia vla-get-profilerotation vla-get-profiles vla-getprojectfilepath vla-get-promptstring vla-get-propertyname vla-get-providername vla-get-providertype vla-get-proxyimage vla-get-qnewtemplatefile vla-get-quieterrormode vla-get-radiiofgyration vla-get-radius vla-get-radiusratio vla-get-readonly vla-getreal vla-get-red vla-get-referencecount vla-get-regeneratetablesuppressed vla-get-registeredapplications vla-getrelativedraworder vla-getremotefile vla-get-rendersmoothness vla-get-repeatbottomlabels vla-get-repeattoplabels vla-get-revisionnumber vla-get-revolutionangle vla-getrotation vla-get-rotation vla-get-rounddistance vla-getrowheight vla-get-rows vla-get-rowspacing vla-getrowtype vla-get-saveastype vla-get-saved vla-get-savepreviewthumbnail vla-getscale vla-get-scale vla-get-scalefactor vla-get-scaleheight vla-get-scalelineweights vla-get-scalewidth vla-get-scmcommandmode vla-get-scmdefaultmode vla-get-scmeditmode vla-get-scmtimemode vla-get-scmtimevalue vla-get-secondpoint vla-get-secondsegmentangleconstraint vla-get-sectionmanager vla-getsectiontypesettings vla-get-segmentperpolyline vla-get-selection vla-get-selectionsets vla-get-serialnumber vla-get-settings vla-get-shadeplot vla-get-shadowdisplay vla-get-sheetview vla-get-shortcutmenu vla-get-shortcutmenudisplay vla-get-show vla-get-showhistory vla-get-showplotstyles vla-get-showproxydialogbox vla-get-showrasterimage vla-get-showrotation vla-get-showwarningmessages vla-get-singledocumentmode vla-get-singledocumentmode vla-get-snapbasepoint vla-get-snapon vla-get-snaprotationangle vla-getsnapspacing vla-get-solidfill vla-get-solidtype vla-get-sourceobjects vla-get-standardscale vla-get-startangle vla-get-startdraftangle vla-get-startdraftmagnitude vla-get-startparameter vla-get-startpoint vla-get-starttangent vla-get-state vla-get-statusid vla-get-storesqlindex vla-getstring vla-get-stylename vla-get-stylesheet vla-getsubentity vla-get-subject vla-get-submenu vla-getsubselection vla-get-summaryinfo vla-get-supportpath vla-get-suppressleadingzeros vla-get-suppresstrailingzeros vla-get-suppresszerofeet vla-get-suppresszeroinches vla-get-surfacenormals vla-get-surfacetype vla-get-symbolposition vla-get-system vla-get-tablebreakflowdirection vla-get-tablebreakheight vla-get-tablesreadonly vla-get-tablestyleoverrides vla-get-taborder vla-get-tagstring vla-get-taperangle vla-get-target vla-get-tempfileextension vla-get-tempfilepath vla-get-templatedwgpath vla-get-templateid vla-get-tempxrefpath vla-gettext vla-get-textalignmentpoint vla-get-textalignmenttype vla-get-textangletype vla-get-textbackgroundfill vla-get-textcolor vla-get-textdirection vla-get-texteditor vla-get-textfill vla-get-textfillcolor vla-get-textfont vla-get-textfontsize vla-get-textfontstyle vla-get-textframedisplay vla-get-textgap vla-get-textgenerationflag vla-gettextheight vla-get-textheight vla-gettextheight2 vla-get-textinside vla-get-textinsidealign vla-get-textjustify vla-get-textleftattachmenttype vla-get-textlinespacingdistance vla-get-textlinespacingfactor vla-get-textlinespacingstyle vla-get-textmovement vla-get-textoutsidealign vla-get-textoverride vla-get-textposition vla-get-textprecision vla-get-textprefix vla-get-textrightattachmenttype vla-gettextrotation vla-get-textrotation vla-gettextstring vla-get-textstring vla-gettextstyle vla-get-textstyle vla-gettextstyle2 vla-gettextstyleid vla-get-textstylename vla-get-textstyles vla-get-textsuffix vla-get-texturemappath vla-get-textwidth vla-get-textwinbackgrndcolor vla-get-textwintextcolor vla-get-thickness vla-get-timeserver vla-get-timestamp vla-get-title vla-get-titlesuppressed vla-get-tolerancedisplay vla-get-toleranceheightscale vla-get-tolerancejustification vla-get-tolerancelowerlimit vla-get-toleranceprecision vla-get-tolerancesuppressleadingzeros vla-get-tolerancesuppresstrailingzeros vla-get-tolerancesuppresszerofeet vla-get-tolerancesuppresszeroinches vla-get-toleranceupperlimit vla-get-toolbars vla-get-toolpalettepath vla-get-top vla-get-topheight vla-get-topradius vla-get-totalangle vla-get-totallength vla-get-translateids vla-get-transparency vla-get-truecolor vla-get-truecolorimages vla-get-turnheight vla-get-turns vla-get-turnslope vla-get-twist vla-get-twistangle vla-get-type vla-get-ucsiconatorigin vla-get-ucsiconon vla-getucsmatrix vla-get-ucsperviewport vla-get-uisolinedensity vla-get-underlaylayeroverrideapplied vla-get-underlayname vla-get-underlayvisibility vla-getuniquecellstylename vla-getuniquesectionname vla-get-units vla-get-unitsformat vla-get-unitstype vla-get-upperrightcorner vla-get-upsidedown vla-get-url vla-get-urldescription vla-get-urlnamedlocation vla-get-used vla-get-uselastplotsettings vla-get-user vla-get-usercoordinatesystems vla-get-usestandardscale vla-get-utility vla-getvalue vla-get-value vla-getvariable vla-get-vbe vla-get-verify vla-get-version vla-get-versionguid vla-get-vertcellmargin vla-getvertexcount vla-get-verticaldirection vla-get-verticaltextposition vla-get-vertices vla-get-viewingdirection vla-get-viewportdefault vla-get-viewporton vla-get-viewports vla-get-views vla-get-viewtoplot vla-get-visibilityedge1 vla-get-visibilityedge2 vla-get-visibilityedge3 vla-get-visibilityedge4 vla-get-visible vla-get-visolinedensity vla-get-visualstyle vla-get-volume vla-getweight vla-get-weights vla-getwidth vla-get-width vla-get-windowleft vla-get-windowstate vla-get-windowtitle vla-get-windowtop vla-getwindowtoplot vla-get-workspacepath vla-getxdata vla-get-xeffectivescalefactor vla-getxrecorddata vla-get-xrefdatabase vla-get-xrefdemandload vla-get-xrefedit vla-get-xreffadeintensity vla-get-xreflayervisibility vla-get-xscalefactor vla-get-xvector vla-get-yeffectivescalefactor vla-get-yscalefactor vla-get-yvector vla-get-zeffectivescalefactor vla-get-zscalefactor vla-get-numtransactions vla-handletoobject vla-highlight vla-hittest vla-import vla-importprofile vla-indexof vla-initializeuserinput vla-insertblock vla-insertcolumns vla-insertcolumnsandinherit vla-insertinmenubar vla-insertloopat vla-insertmenuinmenubar vla-insertrows vla-insertrowsandinherit vla-intersectwith vla-iscontenteditable vla-isempty vla-isformateditable vla-ismergeallenabled vla-ismergedcell vla-isremotefile vla-isurl vla-item vla-launchbrowserdialog vla-listads vla-listarx vla-load vla-loadads vla-loadarx vla-loaddvb vla-loadshapefile vla-mergecells vla-mirror vla-mirror3d vla-modified vla-move vla-moveabove vla-movebelow vla-movecontent vla-movetobottom vla-movetotop vla-new vla-numcustominfo vla-objectidtoobject vla-objectid32toobjectidstring vla-offset vla-onmodified vla-open vla-plottodevice vla-plottofile vla-polarpoint vla-prompt vla-purgeall vla-purgefitdata vla-put-action vla-put-activedimstyle vla-put-activedocument vla-put-activelayer vla-put-activelayout vla-put-activelinetype vla-put-activematerial vla-put-activeprofile vla-put-activepviewport vla-put-activespace vla-put-activetextstyle vla-put-activeucs vla-put-activeviewport vla-put-adcinsertunitsdefaultsource vla-put-adcinsertunitsdefaulttarget vla-put-adjustforbackground vla-put-algorithm vla-put-alignment vla-put-alignmentpointacquisition vla-put-alignspace vla-put-allowlongsymbolnames vla-put-allowmanualheights vla-put-allowmanualpositions vla-put-altfontfile vla-put-altrounddistance vla-put-altsuppressleadingzeros vla-put-altsuppresstrailingzeros vla-put-altsuppresszerofeet vla-put-altsuppresszeroinches vla-put-alttabletmenufile vla-put-alttextprefix vla-put-alttextsuffix vla-put-alttoleranceprecision vla-put-alttolerancesuppressleadingzeros vla-put-alttolerancesuppresstrailingzeros vla-put-alttolerancesuppresszerofeet vla-put-alttolerancesuppresszeroinches vla-put-altunits vla-put-altunitsformat vla-put-altunitsprecision vla-put-altunitsscale vla-put-angleformat vla-put-anglevertex vla-put-annotation vla-put-annotative vla-put-arcendparam vla-put-arcpoint vla-put-arcsmoothness vla-put-arcstartparam vla-put-area vla-put-arrowhead1block vla-put-arrowhead1type vla-put-arrowhead2block vla-put-arrowhead2type vla-put-arrowheadblock vla-put-arrowheadsize vla-put-arrowheadtype vla-put-arrowsize vla-put-arrowsymbol vla-put-associativehatch vla-put-attachmentpoint vla-put-author vla-put-autoaudit vla-put-automaticplotlog vla-put-autosaveinterval vla-put-autosavepath vla-put-autosnapaperture vla-put-autosnapaperturesize vla-put-autosnapmagnet vla-put-autosnapmarker vla-put-autosnapmarkercolor vla-put-autosnapmarkersize vla-put-autosnaptooltip vla-put-autotrackingveccolor vla-put-autotracktooltip vla-put-axisposition vla-put-backgroundfill vla-put-backgroundlinescolor vla-put-backgroundlineshiddenline vla-put-backgroundlineslayer vla-put-backgroundlineslinetype vla-put-backgroundlineslinetypescale vla-put-backgroundlineslineweight vla-put-backgroundlinesplotstylename vla-put-backgroundlinesvisible vla-put-backward vla-put-bank vla-put-basepoint vla-put-baseradius vla-put-batchplotprogress vla-put-beeponerror vla-put-bigfontfile vla-put-bitflags vla-put-block vla-put-blockcolor vla-put-blockconnectiontype vla-put-blockrotation vla-put-blockscale vla-put-blockscaling vla-put-bottomheight vla-put-breaksenabled vla-put-breaksize vla-put-breakspacing vla-put-brightness vla-put-canonicalmedianame vla-put-categoryname vla-put-center vla-put-centermarksize vla-put-centerplot vla-put-centerpoint vla-put-centertype vla-put-check vla-put-chordpoint vla-put-circumference vla-put-clippingenabled vla-put-closed vla-put-color vla-put-colorbookpath vla-put-colorindex vla-put-colormethod vla-put-columns vla-put-columnspacing vla-put-columnwidth vla-put-comment vla-put-comments vla-put-configname vla-put-constant vla-put-constantwidth vla-put-constrain vla-put-contentblockname vla-put-contentblocktype vla-put-contenttype vla-put-continuousplotlog vla-put-contourlinespersurface vla-put-contrast vla-put-controlpoints vla-put-coordinate vla-put-coordinates vla-put-createbackup vla-put-currentsectiontype vla-put-cursorsize vla-put-curvetangencylinescolor vla-put-curvetangencylineslayer vla-put-curvetangencylineslinetype vla-put-curvetangencylineslinetypescale vla-put-curvetangencylineslineweight vla-put-curvetangencylinesplotstylename vla-put-curvetangencylinesvisible vla-put-customdictionary vla-put-customiconpath vla-put-customscale vla-put-decimalseparator vla-put-defaultinterneturl vla-put-defaultoutputdevice vla-put-defaultplotstyleforlayer vla-put-defaultplotstyleforobjects vla-put-defaultplotstyletable vla-put-defaultplottofilepath vla-put-demandloadarxapp vla-put-description vla-put-destinationblock vla-put-destinationfile vla-put-diameter vla-put-dimensionlinecolor vla-put-dimensionlineextend vla-put-dimensionlinetype vla-put-dimensionlineweight vla-put-dimline1suppress vla-put-dimline2suppress vla-put-dimlineinside vla-put-dimlinesuppress vla-put-direction vla-put-directionvector vla-put-displaygrips vla-put-displaygripswithinblocks vla-put-displaylayouttabs vla-put-displaylocked vla-put-displayolescale vla-put-displayscreenmenu vla-put-displayscrollbars vla-put-displaysilhouette vla-put-dockedvisiblelines vla-put-doglegged vla-put-dogleglength vla-put-drawingdirection vla-put-drawleaderordertype vla-put-drawmleaderordertype vla-put-driverspath vla-put-elevation vla-put-elevationmodelspace vla-put-elevationpaperspace vla-put-enable vla-put-enableblockrotation vla-put-enableblockscale vla-put-enablebreak vla-put-enabledogleg vla-put-enableframetext vla-put-enablelanding vla-put-enablestartupdialog vla-put-endangle vla-put-enddraftangle vla-put-enddraftmagnitude vla-put-endparameter vla-put-endpoint vla-put-endsubmenulevel vla-put-endtangent vla-put-enterprisemenufile vla-put-entitycolor vla-put-explodable vla-put-extensionlinecolor vla-put-extensionlineextend vla-put-extensionlineoffset vla-put-extensionlineweight vla-put-extline1endpoint vla-put-extline1linetype vla-put-extline1point vla-put-extline1startpoint vla-put-extline1suppress vla-put-extline2endpoint vla-put-extline2linetype vla-put-extline2point vla-put-extline2startpoint vla-put-extline2suppress vla-put-extlinefixedlen vla-put-extlinefixedlensuppress vla-put-fade vla-put-fieldlength vla-put-file vla-put-firstsegmentangleconstraint vla-put-fit vla-put-fitpoints vla-put-fittolerance vla-put-floatingrows vla-put-flowdirection vla-put-fontfile vla-put-fontfilemap vla-put-forcelineinside vla-put-foregroundlinescolor vla-put-foregroundlinesedgetransparency vla-put-foregroundlinesfacetransparency vla-put-foregroundlinesfacetransparency vla-put-foregroundlineshiddenline vla-put-foregroundlineslayer vla-put-foregroundlineslinetype vla-put-foregroundlineslinetypescale vla-put-foregroundlineslineweight vla-put-foregroundlinesplotstylename vla-put-foregroundlinesvisible vla-put-fractionformat vla-put-freeze vla-put-fullcrcvalidation vla-put-fullscreentrackingvector vla-put-generationoptions vla-put-gradientangle vla-put-gradientcentered vla-put-gradientcolor1 vla-put-gradientcolor2 vla-put-gradientname vla-put-graphicswinlayoutbackgrndcolor vla-put-graphicswinmodelbackgrndcolor vla-put-gridon vla-put-gripcolorselected vla-put-gripcolorunselected vla-put-gripsize vla-put-hasleader vla-put-hasvpassociation vla-put-hatchobjecttype vla-put-hatchstyle vla-put-headersuppressed vla-put-height vla-put-helpfilepath vla-put-helpstring vla-put-history vla-put-historylines vla-put-horizontaltextposition vla-put-horzcellmargin vla-put-hyperlinkbase vla-put-hyperlinkdisplaycursor vla-put-hyperlinkdisplaytooltip vla-put-imagefile vla-put-imageframehighlight vla-put-imageheight vla-put-imagevisibility vla-put-imagewidth vla-put-incrementalsavepercent vla-put-indicatorfillcolor vla-put-indicatortransparency vla-put-insertionpoint vla-put-intersectionboundarycolor vla-put-intersectionboundarydivisionlines vla-put-intersectionboundarylayer vla-put-intersectionboundarylinetype vla-put-intersectionboundarylinetypescale vla-put-intersectionboundarylineweight vla-put-intersectionboundaryplotstylename vla-put-intersectionboundaryvisible vla-put-intersectionfillcolor vla-put-intersectionfillfacetransparency vla-put-intersectionfillhatchangle vla-put-intersectionfillhatchpatternname vla-put-intersectionfillhatchpatterntype vla-put-intersectionfillhatchscale vla-put-intersectionfillhatchspacing vla-put-intersectionfilllayer vla-put-intersectionfilllinetype vla-put-intersectionfilllinetypescale vla-put-intersectionfilllineweight vla-put-intersectionfillplotstylename vla-put-intersectionfillvisible vla-put-invisible vla-put-isopenwidth vla-put-ispartial vla-put-issuer vla-put-itemname vla-put-jogangle vla-put-joglocation vla-put-justification vla-put-keyboardaccelerator vla-put-keyboardpriority vla-put-keylength vla-put-keywords vla-put-knots vla-put-label vla-put-labelblockid vla-put-landinggap vla-put-largebuttons vla-put-lastheight vla-put-lastsavedby vla-put-layer vla-put-layeron vla-put-layerstate vla-put-layoutcreateviewport vla-put-layoutcrosshaircolor vla-put-layoutdisplaymargins vla-put-layoutdisplaypaper vla-put-layoutdisplaypapershadow vla-put-layoutid vla-put-layoutshowplotsetup vla-put-leader1point vla-put-leader2point vla-put-leaderlength vla-put-leaderlinecolor vla-put-leaderlinetype vla-put-leaderlinetypeid vla-put-leaderlineweight vla-put-leadertype vla-put-left vla-put-lenslength vla-put-limits vla-put-linearscalefactor vla-put-linespacingdistance vla-put-linespacingfactor vla-put-linespacingstyle vla-put-linetype vla-put-linetypegeneration vla-put-linetypescale vla-put-lineweight vla-put-lineweightdisplay vla-put-livesectionenabled vla-put-loadacadlspinalldocuments vla-put-lock vla-put-lockaspectratio vla-put-lockposition vla-put-logfileon vla-put-logfilepath vla-put-macro vla-put-maindictionary vla-put-majoraxis vla-put-majorradius vla-put-mask vla-put-material vla-put-maxactiveviewports vla-put-maxautocadwindow vla-put-maxleadersegmentspoints vla-put-mclose vla-put-mdensity vla-put-menufile vla-put-minorradius vla-put-mlinescale vla-put-mode vla-put-modelcrosshaircolor vla-put-modelview vla-put-monochrome vla-put-mrunumber vla-put-mspace vla-put-mtextattribute vla-put-mtextattributecontent vla-put-mtextboundarywidth vla-put-mtextdrawingdirection vla-put-name vla-put-nclose vla-put-ndensity vla-put-normal vla-put-numberofcopies vla-put-objectsnapmode vla-put-objectsortbyplotting vla-put-objectsortbypsoutput vla-put-objectsortbyredraws vla-put-objectsortbyregens vla-put-objectsortbyselection vla-put-objectsortbysnap vla-put-obliqueangle vla-put-oleitemtype vla-put-olelaunch vla-put-oleplotquality vla-put-olequality vla-put-olesourceapp vla-put-origin vla-put-orthoon vla-put-overridecenter vla-put-pagesetupoverridestemplatefile vla-put-paperunits vla-put-password vla-put-path vla-put-patternangle vla-put-patterndouble vla-put-patternscale vla-put-patternspace vla-put-pickadd vla-put-pickauto vla-put-pickboxsize vla-put-pickdrag vla-put-pickfirst vla-put-pickgroup vla-put-plothidden vla-put-plotlegacy vla-put-plotlogfilepath vla-put-plotorigin vla-put-plotpolicy vla-put-plotrotation vla-put-plotstylename vla-put-plottable vla-put-plottype vla-put-plotviewportborders vla-put-plotviewportsfirst vla-put-plotwithlineweights vla-put-plotwithplotstyles vla-put-polartrackingvector vla-put-position vla-put-postscriptprologfile vla-put-preset vla-put-primaryunitsprecision vla-put-printerconfigpath vla-put-printerdescpath vla-put-printerpapersizealert vla-put-printerspoolalert vla-put-printerstylesheetpath vla-put-printfile vla-put-printspoolerpath vla-put-printspoolexecutable vla-put-profilerotation vla-put-promptstring vla-put-providername vla-put-providertype vla-put-proxyimage vla-put-qnewtemplatefile vla-put-quieterrormode vla-put-radius vla-put-radiusratio vla-put-regeneratetablesuppressed vla-putremotefile vla-put-rendersmoothness vla-put-repeatbottomlabels vla-put-repeattoplabels vla-put-revisionnumber vla-put-revolutionangle vla-put-rotation vla-put-rounddistance vla-put-rowheight vla-put-rows vla-put-rowspacing vla-put-saveastype vla-put-savepreviewthumbnail vla-put-scale vla-put-scalefactor vla-put-scaleheight vla-put-scalelineweights vla-put-scalewidth vla-put-scmcommandmode vla-put-scmdefaultmode vla-put-scmeditmode vla-put-scmtimemode vla-put-scmtimevalue vla-put-secondpoint vla-put-secondsegmentangleconstraint vla-put-segmentperpolyline vla-put-serialnumber vla-put-shadeplot vla-put-shadowdisplay vla-put-sheetview vla-put-shortcutmenudisplay vla-put-showhistory vla-put-showplotstyles vla-put-showproxydialogbox vla-put-showrasterimage vla-put-showrotation vla-put-showwarningmessages vla-put-singledocumentmode vla-put-snapbasepoint vla-put-snapon vla-put-snaprotationangle vla-put-solidfill vla-put-sourceobjects vla-put-standardscale vla-put-startangle vla-put-startdraftangle vla-put-startdraftmagnitude vla-put-startparameter vla-put-startpoint vla-put-starttangent vla-put-state vla-put-storesqlindex vla-put-stylename vla-put-stylesheet vla-put-subject vla-put-supportpath vla-put-suppressleadingzeros vla-put-suppresstrailingzeros vla-put-suppresszerofeet vla-put-suppresszeroinches vla-put-surfacenormals vla-put-symbolposition vla-put-tablebreakflowdirection vla-put-tablebreakheight vla-put-tablesreadonly vla-put-taborder vla-put-tagstring vla-put-taperangle vla-put-target vla-put-tempfileextension vla-put-tempfilepath vla-put-templatedwgpath vla-put-templateid vla-put-tempxrefpath vla-put-textalignmentpoint vla-put-textalignmenttype vla-put-textangletype vla-put-textbackgroundfill vla-put-textcolor vla-put-textdirection vla-put-texteditor vla-put-textfill vla-put-textfillcolor vla-put-textfont vla-put-textfontsize vla-put-textfontstyle vla-put-textframedisplay vla-put-textgap vla-put-textgenerationflag vla-put-textheight vla-put-textinside vla-put-textinsidealign vla-put-textjustify vla-put-textleftattachmenttype vla-put-textlinespacingdistance vla-put-textlinespacingfactor vla-put-textlinespacingstyle vla-put-textmovement vla-put-textoutsidealign vla-put-textoverride vla-put-textposition vla-put-textprecision vla-put-textprefix vla-put-textrightattachmenttype vla-put-textrotation vla-put-textstring vla-put-textstyle vla-put-textstylename vla-put-textsuffix vla-put-texturemappath vla-put-textwidth vla-put-textwinbackgrndcolor vla-put-textwintextcolor vla-put-thickness vla-put-timeserver vla-put-title vla-put-titlesuppressed vla-put-tolerancedisplay vla-put-toleranceheightscale vla-put-tolerancejustification vla-put-tolerancelowerlimit vla-put-toleranceprecision vla-put-tolerancesuppressleadingzeros vla-put-tolerancesuppresstrailingzeros vla-put-tolerancesuppresszerofeet vla-put-tolerancesuppresszeroinches vla-put-toleranceupperlimit vla-put-toolpalettepath vla-put-top vla-put-topheight vla-put-topradius vla-put-translateids vla-put-transparency vla-put-truecolor vla-put-truecolorimages vla-put-turnheight vla-put-turns vla-put-twist vla-put-twistangle vla-put-type vla-put-ucsiconatorigin vla-put-ucsiconon vla-put-ucsperviewport vla-put-uisolinedensity vla-put-underlaylayeroverrideapplied vla-put-underlayname vla-put-underlayvisibility vla-put-units vla-put-unitsformat vla-put-upsidedown vla-put-url vla-put-urldescription vla-put-urlnamedlocation vla-put-uselastplotsettings vla-put-usestandardscale vla-put-value vla-put-verify vla-put-vertcellmargin vla-put-verticaldirection vla-put-verticaltextposition vla-put-vertices vla-put-viewingdirection vla-put-viewportdefault vla-put-viewporton vla-put-viewtoplot vla-put-visibilityedge1 vla-put-visibilityedge2 vla-put-visibilityedge3 vla-put-visibilityedge4 vla-put-visible vla-put-visolinedensity vla-put-visualstyle vla-put-weights vla-put-width vla-put-windowleft vla-put-windowstate vla-put-windowtop vla-put-workspacepath vla-put-xeffectivescalefactor vla-put-xrefdemandload vla-put-xrefedit vla-put-xreffadeintensity vla-put-xreflayervisibility vla-put-xscalefactor vla-put-xvector vla-put-yeffectivescalefactor vla-put-yscalefactor vla-put-yvector vla-put-zeffectivescalefactor vla-put-zscalefactor vla-quit vla-realtostring vla-recomputetableblock vla-refreshplotdeviceinfo vla-regen vla-reload vla-remove vla-removealloverrides vla-removecustombyindex vla-removecustombykey vla-removeentry vla-removefrommenubar vla-removeitems vla-removeleader vla-removeleaderline vla-removemenufrommenubar vla-removevertex vla-rename vla-renamecellstyle vla-renameprofile vla-replace vla-reselectsubregion vla-resetblock vla-resetcellvalue vla-resetprofile vla-restore vla-reverse vla-rotate vla-rotate3d vla-runmacro vla-save vla-saveas vla-scaleentity vla-sectionsolid vla-select vla-selectatpoint vla-selectbypolygon vla-selectonscreen vla-selectsubregion vla-sendcommand vla-sendmodelessoperationended vla-sendmodelessoperationstart vla-setalignment vla-setalignment2 vla-setautoscale vla-setautoscale2 vla-setbackgroundcolor vla-setbackgroundcolor2 vla-setbackgroundcolornone vla-setbitmaps vla-setblockattributevalue vla-setblockattributevalue2 vla-setblockattributevalue32 vla-setblockattributevalue232 vla-setblockrotation vla-setblockscale vla-setblocktablerecordid vla-setblocktablerecordid2 vla-setblocktablerecordid32 vla-setblocktablerecordid232 vla-setbreakheight vla-setbulge vla-setcellalignment vla-setcellbackgroundcolor vla-setcellbackgroundcolornone vla-setcellclass vla-setcellcontentcolor vla-setcelldatatype vla-setcellformat vla-setcellgridcolor vla-setcellgridlineweight vla-setcellgridvisibility vla-setcellstate vla-setcellstyle vla-setcelltextheight vla-setcelltextstyle vla-setcelltype vla-setcellvalue vla-setcellvaluefromtext vla-setcolor vla-setcolor2 vla-setcolorbookcolor vla-setcolumnname vla-setcolumnwidth vla-setcontentcolor vla-setcontentcolor2 vla-setcontentlayout vla-setcontrolpoint vla-setcustombyindex vla-setcustombykey vla-setcustomdata vla-setcustomscale vla-setdatabase vla-setdataformat vla-setdatatype vla-setdatatype2 vla-setdoglegdirection vla-setfieldid vla-setfieldid2 vla-setfieldid32 vla-setfieldid232 vla-setfitpoint vla-setfont vla-setformat vla-setformat2 vla-setformula vla-setgridcolor vla-setgridcolor2 vla-setgriddoublelinespacing vla-setgridlinestyle vla-setgridlinetype vla-setgridlinetype32 vla-setgridlineweight vla-setgridlineweight2 vla-setgridspacing vla-setgridvisibility vla-setgridvisibility2 vla-setinvisibleedge vla-setlayoutstoplot vla-setleaderlinevertices vla-setmargin vla-setnames vla-setoverride vla-setpattern vla-setprojectfilepath vla-setrelativedraworder vla-setrgb vla-setrotation vla-setrowheight vla-setscale vla-setsnapspacing vla-setsubselection vla-settemplateid vla-settext vla-settextheight vla-settextheight2 vla-settextrotation vla-settextstring vla-settextstyle vla-settextstyle2 vla-settextstyleid vla-settooltip vla-setvalue vla-setvaluefromtext vla-setvariable vla-setview vla-setweight vla-setwidth vla-setwindowtoplot vla-setxdata vla-setxrecorddata vla-slicesolid vla-split vla-startbatchmode vla-startundomark vla-swaporder vla-syncmodelview vla-transformby vla-translatecoordinates vla-unload vla-unloadads vla-unloadarx vla-unloaddvb vla-unmergecells vla-update vla-updateentry vla-updatemtextattribute vla-wblock vla-zoomall vla-zoomcenter vla-zoomextents vla-zoompickwindow vla-zoomprevious vla-zoomscaled vla-zoomwindow vla-starttransaction vla-endtransaction vla-aborttransaction vlarts-init vlisp-compile vlisp-compile-list vlisp-dclres-list vlisp-dclres-load-dialog vlisp-drop-project vlisp-export-symbol vlisp-fasres-list vlisp-fasres-load vlisp-find-project vlisp-import-exsubrs vlisp-import-symbol vlisp-inires-list vlisp-list-loaded-projects vlisp-load-project vlisp-make-file-fas vlisp-make-project-fas vlisp-make-project-load-file vlisp-project-fas-list vlisp-project-list vlisp-read-file-xdv-list vlisp-read-project-xdv-list vl-load-bim bim:get-bimtype bim:set-bimtype bim:list-properties bim:get-property bim:set-property bim:get-all-classified bim:get-all-unclassified bim:get-all-usedcompositions bim:get-all-availablecompositions bim:get-all-buildings bim:get-all-stories bim:has-building bim:has-story bim:create-building bim:create-story bim:assign-to-building bim:assign-to-story bim:get-assigned-building bim:get-assigned-story bim:set-assigned-building bim:set-assigned-story bim:get-all-building-entities bim:get-all-story-entities bim:delete-building bim:delete-story bim:get-story-elevation bim:set-story-elevation bim:dlg-compositions bim:dlg-projectinfo bim:dlg-buildingsmanager vlisp-optimizer vlisp-optimiser vle-optimizer vle-optimiser vle-fastcom vle-entget vle-entget-m vle-entget-massoc vle-entmod vle-entmod-m vle-getgeomextents vle-getboundingbox vle-dictionary-list vle-dictobjname vle-table-list vle-alert vle-startapp vle-start-transaction vle-end-transaction vle-displaypause vle-displayupdate vle-string-split vle-string-replace vle-nth0 vle-nth1 vle-nth2 vle-nth3 vle-nth4 vle-nth5 vle-nth6 vle-nth7 vle-nth8 vle-nth9 vle-cdrassoc vle-get-cdrassoc vle-cassoc vle-get-cassoc vle-set-cdrassoc vle-member vle-remove-first vle-remove-all vle-remove-last vle-remove-nth vle-remove-idx vle-search vle-sublist vle-subst-nth vle-put-nth vle-replace vle-stringp vle-numberp vle-realp vle-integerp vle-filep vle-enamep vle-picksetp vle-vlaobjectp vle-variantp vle-safearrayp vle-int64to32 vle-atoi32 vle-itoa32 vle-tan vle-showpromptmenu vle-hidepromptmenu vle-round vle-roundto vle-floor vle-ceiling vle-lispversion vle-lispinstall vle-append vle-curve-getperimeter vle-list-split vle-list-union vle-list-intersect vle-list-subtract vle-list-diff vle-list-massoc vle-dictsearch vle-tblsearch vle-ename-valid vle-aci2rgb vle-rgb2aci vle-ping-alive


[settings]
# default extension used when saving files
extension=lsp;dcl;
lexer_filetype=Lisp
tag_parser=Lisp
# these characters define word boundaries when making selections and searching
# using word matching options
wordchars=_.abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_:.<>*

# single comments, like # in this file
comment_single=;
# comment_toggle_mark=
# multiline comments
comment_open=#|
comment_close=|#

# set to false if a comment character/string should start at column 0 of a line, true uses any
# indentation of the line, e.g. setting to true causes the following on pressing CTRL+d
# 		#command_example();
# setting to false would generate this
# #		command_example();
# This setting works only for single line comments
comment_use_indent=true

# context action command (please see Geany's main documentation for details)
context_action_cmd=

[indentation]
#width=4
# 0 is spaces, 1 is tabs, 2 is tab & spaces
#type=1

[build_settings]
# %f will be replaced by the complete filename
# %e will be replaced by the filename without extension
compiler=
run_cmd=clisp "%f"
